package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author Wynne.Lu
 * @date 2021/3/25 下午4:33
 * @desc
 */
@Entity
@Table(name = "SCR_SCREEN_PANEL")
@Data
@EqualsAndHashCode(callSuper = true)
@Api("Screen与Panel的关系")
public class ScrScreenPanel extends BaseBean {
    private static final long serialVersionUID = 3459027655126916483L;

    public ScrScreenPanel() {
    }

    public ScrScreenPanel(String screenCode, String layoutCode, String rowCode, String columnCode, String panelCode) {
        this.screenCode = screenCode;
        this.layoutCode = layoutCode;
        this.rowCode = rowCode;
        this.columnCode = columnCode;
        this.panelCode = panelCode;
    }

    @Column(name = "SCREEN_CODE")
    @ApiParam("panel代码")
    private String screenCode;

    @Column(name = "LAYOUT_CODE")
    @ApiParam("布局代码")
    private String layoutCode;

    @Column(name = "ROW_CODE")
    @ApiParam("行代码")
    private String rowCode;

    @Column(name = "COLUMN_CODE")
    @ApiParam("列代码")
    private String columnCode;

    @Column(name = "PANEL_CODE")
    @ApiParam(value = "panel代码")
    private String panelCode;
}
